---
title: InstallEvent.InstallEvent()
slug: Web/API/InstallEvent/InstallEvent
tags:
  - API
  - Constructor
  - Experimental
  - Expérimental(2)
  - InstallEvent
  - Reference
  - Service Workers
  - ServiceWorker
---
<div>{{non-standard_header}}{{Obsolete_Header}}</div>

<p>The <code><strong>InstallEvent()</strong></code> constructor creates a new {{domxref("InstallEvent")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">var myInstallEvent = new InstallEvent(type, init);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>type</em></dt>
 <dd>The type of the event.</dd>
 <dt><em>init</em> {{optional_inline}}</dt>
 <dd>An options object containing any custom settings that you want to apply to the event object. Available options are as follows:
 <ul>
  <li><code>activeWorker</code>: The {{domxref("ServiceWorker")}} that is currently actively controlling the page.</li>
 </ul>
 </dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.InstallEvent.InstallEvent")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a></li>
</ul>
